#!/bin/sh

set -xe

# Script prepping .so files for ip-reputation

tdnf update -y && tdnf install -y curl unzip libstdc++

GO_WEBROOT_SDK_VERSION=v1.3.1
curl -k -u "$USW1_ACCESS_ID_DEV":"$USW1_ACCESS_TOKEN_DEV" https://usw1.packages.broadcom.com/artifactory/cb-docker-dev-virtual/octarine/go-webroot-sdk/${GO_WEBROOT_SDK_VERSION}/go-webroot-sdk.zip --output ./go-webroot-sdk.zip

mkdir -p go-webroot-sdk-download
cd go-webroot-sdk-download

unzip -o ../go-webroot-sdk.zip

# Keep in sync with gitlab.Dockerfile
cp -d lib* /usr/lib/
mkdir -p /data/local/
mkdir -p /webroot-files/
cp bcti.cfg /webroot-files/
cp public_suffix_list.dat /webroot-files/

cd ..
